<?php
if(isset($_POST["bexp"])) {		
	$sql = "call spQuery_Cliente('$_POST[cod]', '$_POST[nam]', '$_POST[dire]')";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($_POST["titu"]))?$_POST["titu"]:"Reporte";
	$dir = "export.php?page=$varTitulo";
	header("location: $dir");
	}
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
function EliminarRegistro($varCod, $varNom) {
	if($varCod<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$sql = "update _sv_cliente set _estado='X' where id_cliente = $varCod";
		$obj->AbrirConexion();
		$obj->Query($sql);
		$obj->CerrarConexion();	
		$objResponse = new xajaxResponse();
		$objResponse->alert("EL REGISTRO \n$varCod - $varNom \nFUE ELIMINADO CORRECTAMENTE");
		return $objResponse;
		}
	}
	
function comboProv($varDep){
	$var = VarServer("MYSQLI");
	$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$sql = "call spQuery_Lista_Ubigeo_Pro('$varDep');";	
	$combo = $obj->SetCombo("pro", $sql, NULL, "150", "xajax_comboDist(this.value)", " --[[ SELECCIONAR ]]-- ", NULL, "NO");	
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divProv","innerHTML",utf8_encode($combo));	
	return $respuestaXajax;
	}

function comboDist($varPro){
	$var = VarServer("MYSQLI");
	$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
	$sql = "call spQuery_Lista_Ubigeo_Dis('$varPro');";	
	$combo = $obj->SetCombo("dis", $sql, NULL, "150", NULL, " --[[ SELECCIONAR ]]-- ", NULL, "NO");	
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDist","innerHTML",utf8_encode($combo));	
	return $respuestaXajax;
	}


$xajax->register(XAJAX_FUNCTION, 'EliminarRegistro');
$xajax->register(XAJAX_FUNCTION, 'comboProv');
$xajax->register(XAJAX_FUNCTION, 'comboDist');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">	
	
	function DeleteRow(x) {
		while (x.tagName.toLowerCase() !='tr') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
			return;
			}
		var rowNum=x.rowIndex;
		while (x.tagName.toLowerCase() !='table') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
				return;
			}
		x.deleteRow(rowNum);
		}
		
	function EditarRegistroJS(varCod) {
		xajax_EditarRegistro('EDIT', varCod);
		}
	
	function GrabarRegistroJS(varOpcion) {
		if(confirm("¿DESEA GUARDAR LOS DATOS?")) {
			xajax_GrabarRegistro(varOpcion,xajax.getFormValues('form'));
			}
		}
	function EditarRegistro(varLink, cod, nom) {
		var Ruta = varLink + '?opt=EDIT&valor='+cod;
		window.location=Ruta;
		}
			
	function EliminarRegistro(varLink, form, cod, nom) {		
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\n'+cod+' - '+nom)) {
			var Ruta = varLink + '?opt=DROP&valor='+cod;
			window.location=Ruta;
			}
		}
</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor, $TamFila) {
$Link = $_SERVER['PHP_SELF'];
$MyTabla = "_sv_cliente";
$myID = "id_cliente";
if(!isset($Opcion)) {
		
	$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"FormTitulo", "titulo"=>$Titulo." - BUSQUEDA",
					"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
					"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$Titulo),
								   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
								  ),
					"conte"=>array(array("titulo"=>"Codigo :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"80",
										 "campo" =>array("tipo"=>"texto", "id"=>"cod", "name"=>"cod", "valor"=>$_POST["cod"], 
										 "alinear"=>"center", "ancho"=>"70")),								   
								   array("titulo"=>"Nombre :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"nam", "name"=>"nam", "valor"=>$_POST["nam"], "ancho"=>"280")),
								   array("titulo"=>"Direccion :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"dire", "name"=>"dire", "valor"=>$_POST["dire"], "ancho"=>"280"))
								   ),
					"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Buscar"),
								   array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"80", "alto"=>"22", "texto"=>"Exportar"),								  
								   array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"80", "alto"=>"22", "texto"=>"(+) Nuevo", "click"=>"location='$Link?opt=NEW'"),
								   )
					);
	echo $obj->setTablaForm($varTabla);

	$sql = "call spQuery_Cliente('$_POST[cod]', '$_POST[nam]', '$_POST[dire]')";
	$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"98%", "sql_cab"=>$sql,	"pages"=>20,
					"conte"=>array(array("titulo"=>"CCLI",   "ancho"=>"30" , "alinear"=>"center", "clase"=>"sortable-numeric", "tipo"=>"texto"), 
								   array("titulo"=>"CLIENTE","ancho"=>"200", "clase"  =>"sortable"),
								   array("titulo"=>"DNI", 	 "ancho"=>"60" , "alinear"=>"center", "clase"=>"sortable-numeric"),
								   array("titulo"=>"RUC", 	 "ancho"=>"60" , "alinear"=>"center", "clase"=>"sortable-numeric"),
								   array("titulo"=>"DIRECCION", "ancho"=>"200", "clase"=>"sortable"),
								   array("titulo"=>"DEPARTAMENTO", "ancho"=>"100", "clase"=>"sortable"),
								   array("titulo"=>"PROVINCIA", "ancho"=>"100", "clase"=>"sortable"),
								   array("titulo"=>"DISTRITO", "ancho"=>"100", "clase"=>"sortable"),
								   array("titulo"=>"TELEF",  "ancho"=>"60",  "alinear"=>"center"),
								   array("titulo"=>"CELU.",  "ancho"=>"60",  "alinear"=>"center"),
								   array("titulo"=>"RPM",    "ancho"=>"60",  "alinear"=>"center", "oculto"=>"SI"),
								   array("titulo"=>"RPC",    "ancho"=>"60",  "alinear"=>"center", "oculto"=>"SI"),
								   array("titulo"=>"NEXTEL", "ancho"=>"60",  "alinear"=>"center", "oculto"=>"SI")
								   ),
					"boton"=>array(array("tipo"=>"img", "id"=>"bbus", "name"=>"bbus", "img"=>"images/b_table_edit.png", 
											 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>EDITAR</b> EL REGISTRO<br><b>"),
																 array("valor"=>0, "tipo"=>"INDEX"),
																 array("valor"=>" - "),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"</b>")
												   				),
											 "click"=>array("funcion"=>"fn_dirigir_registro",
															"param"=>array(array("valor"=>"EDIT","tipo"=>"TEXTO"),
																		   array("valor"=>0, 	 "tipo"=>"INDEX"),
																		   array("valor"=>$Link, "tipo"=>"TEXTO")
																		  )
															)
											 
											),
									   array("tipo"=>"img", "id"=>"badd", "name"=>"badd", "img"=>"images/b_table_delete.png", 
											 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>ELIMINAR</b> EL REGISTRO<br><b>"),
																 array("valor"=>0, "tipo"=>"INDEX"),
																 array("valor"=>" - "),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"</b>")
												   				),
											 "click"=>array("funcion"=>"fn_eliminar_registro",
															"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																		   array("valor"=>1, "tipo"=>"INDEX"),
																		   array("valor"=>$Link, "tipo"=>"TEXTO")
																		   )
															)
											 )
									)
					);
	echo $obj->SetGridTabla($varTabla);
	}
elseif($Opcion=="NEW" || $Opcion=="EDIT") {
	if($Opcion=="NEW") {
		$SubTit = $Titulo." - NUEVO";
		}
	else {
		$SubTit =  $Titulo." - EDITAR";
		$BloqCod = "SI";
		$sql = "select id_cliente, substring(id_ubigeo,1,2) as CDEP, substring(id_ubigeo,1,4) as CPRO, id_ubigeo as CDIS, nombre, dni, ruc, direccion, 
				telefono, celular, rpm, rpc, nextel from $MyTabla where $myID = $Valor";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		}
	$sqldep = "call spQuery_Lista_Ubigeo_Dep();";
	$sqlpro = "call spQuery_Lista_Ubigeo_Pro('$Fila[CDEP]');";
	$sqldis = "call spQuery_Lista_Ubigeo_Dis('$Fila[CPRO]');";
	$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"FormTitulo", "titulo"=>$SubTit,
					"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
					"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$Titulo),
								   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
								  ),
					"conte"=>array(array("titulo"=>"Codigo :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
										 "campo" =>array("tipo"=>"texto", "id"=>"cod", "name"=>"cod", "clase"=>"inputDisable",
										 "valor"=>$Fila[$myID], "alinear"=>"center", "locked"=>"SI", "ancho"=>"70")),								   
								   array("titulo"=>"Nombre :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"nam", "name"=>"nam", "valor"=>$Fila["nombre"], "ancho"=>"280")),
								   array("titulo"=>"Nro. DNI :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"dni", "name"=>"dni", "valor"=>$Fila["dni"], "ancho"=>"100",
										 				 "maxchar"=>8, "keypress"=>"return SoloEnteros(event)"
										 				)
										),
								   array("titulo"=>"Nro. RUC :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"ruc", "name"=>"ruc", "valor"=>$Fila["ruc"], "ancho"=>"100",
										 				 "maxchar"=>11, "keypress"=>"return SoloEnteros(event)"
										 				)
										),
								   array("titulo"=>"Direccion :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"dire", "name"=>"dire", "valor"=>$Fila["direccion"], "ancho"=>"280")),
								   array("titulo"=>"Departamento :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
						   				 "campo"=>array("tipo"=>"select", "id"=>"dep", "name"=>"dep", "valor"=>$Fila["CDEP"], "ancho"=>"100",
										  				"combo"=>array("sql"=>$sqldep, "titulo"=>" --[[SELECCIONAR]]-- ", "sincod"=>"SI", "ancho"=>"150", 
														"reload"=>"xajax_comboProv(this.value)"))),
								   array("titulo"=>"Provincia :", "clase1"=>"FormCampo1", "clase2"=>"interior", "div"=>"divProv",
						   				 "campo"=>array("tipo"=>"select", "id"=>"pro", "name"=>"pro", "valor"=>$Fila["CPRO"], "ancho"=>"100",
										  				"combo"=>array("sql"=>$sqlpro, "titulo"=>" --[[SELECCIONAR]]-- ", "sincod"=>"SI", "ancho"=>"150", 
														"reload"=>"xajax_comboDist(this.value)"))),
								   array("titulo"=>"Distrito :", "clase1"=>"FormCampo1", "clase2"=>"interior", "div"=>"divDist",
						   				 "campo"=>array("tipo"=>"select", "id"=>"dis", "name"=>"dis", "valor"=>$Fila["CDIS"], "ancho"=>"100",
										  				"combo"=>array("sql"=>$sqldis, "titulo"=>" --[[SELECCIONAR]]-- ", "sincod"=>"SI", "ancho"=>"150"))),
								   array("titulo"=>"# Telefono :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"tele", "name"=>"tele", "valor"=>$Fila["telefono"], "ancho"=>"100")),
								   array("titulo"=>"# Celular :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"celu", "name"=>"celu", "valor"=>$Fila["celular"], "ancho"=>"100")),
								   array("titulo"=>"# RPC :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"rpm", "name"=>"rpm", "valor"=>$Fila["rpm"], "ancho"=>"100")),
								   array("titulo"=>"# RPM :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"rpc", "name"=>"rpc", "valor"=>$Fila["rpc"], "ancho"=>"100")),
								   array("titulo"=>"# Nextel :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"nextel", "name"=>"nextel", "valor"=>$Fila["nextel"], "ancho"=>"100"))
								   ),
					"boton"=>array(array("tipo"=>"submit", "id"=>"bsav", "name"=>"bsav", "ancho"=>"80", "alto"=>"22", 
										 "texto"=>"Grabar", "click"=>"return confirm('¿ DESEAR GUARDAR LOS DATOS ?')"),			  
								   array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
										 "texto"=>"Regresar", "click"=>"location='$Link'"),
								)
					);
	echo $obj->setTablaForm($varTabla);
	}
elseif($Opcion=="DROP") {
	if($_SESSION["_FDEL"]<>"S") {
		echo "<script language='Javascript'>";
		echo "window.location='$Link'";
		echo "</script>\n";
		}
	$sql = "update $MyTabla set _estado='X' where $myID = $Valor";
	$obj->AbrirConexion();
	$obj->Query($sql);
	$obj->CerrarConexion();	
	echo "<script language='Javascript'>";
	echo "window.location='$Link'";
	echo "</script>\n";
	}
if(isset($_POST["bsav"])) {	
	$varUse = (isset($_SESSION["_CUSE"]))? 1 : $_SESSION["_CUSE"];
	$varCod = ($_POST["cod"]=="") ? "NULL" : $_POST["cod"];
	
	$sql = "call spMante_Cliente('$_POST[opt]', $varCod, '$_POST[nam]', '$_POST[dni]', '$_POST[ruc]',  '$_POST[dire]', 
			'$_POST[dis]', '$_POST[tele]', '$_POST[celu]', '$_POST[rpm]', '$_POST[rpc]', '$_POST[nextel]', $varUse);";
	$obj->AbrirConexion();
	$obj->Query($sql);
	$obj->CerrarConexion();	
	echo "<script language='Javascript'>";
	echo "window.location='$Link'";
	echo "</script>\n";
	}
} 
?>